from sqlalchemy import Column, Integer, String, DECIMAL

from database import Base


# class Equipment(Base):
#     __tablename__ = 'equipment'
#
#     id = Column(Integer, primary_key=True)
#     plan_year = Column(String)
#     purchasing_authority = Column(String)
#     department = Column(String)
#     equipment_name = Column(String)
#     quantity = Column(Integer)
#     budget_unit_price = Column(DECIMAL)
#     final_unit_price = Column(DECIMAL)
#     purchase_item_no = Column(String)
#     progress = Column(String)
#     delete_flag = Column(Integer, default=0)
#

class Device(Base):
    __tablename__ = 'device'

    id = Column(Integer, primary_key=True)
    year = Column(Integer)
    name = Column(String)
    auth = Column(Integer)
    dep = Column(String)
    num = Column(Integer)
    pPrice = Column(DECIMAL)
    dPrice = Column(DECIMAL)
    proNum = Column(String)
    process = Column(Integer)
    delFlag = Column(Integer, default=0)
